/******************************************************************
*
*	CyberUPnP for Java
*
*	Copyright (C) Satoshi Konno 2002-2003
*
*	File: ServiceData.java
*
*	Revision;
*
*	03/28/03
*		- first revision.
*
******************************************************************/

package org.cybergarage.upnp.xml;

import org.cybergarage.util.*;
import org.cybergarage.xml.*;

import org.cybergarage.upnp.control.*;
import org.cybergarage.upnp.event.*;

public class ServiceData
{
	public ServiceData() 
	{
	}

	////////////////////////////////////////////////
	// descriptionURL
	////////////////////////////////////////////////

	private String descriptionURL = "";

	public String getDescriptionURL() {
		return descriptionURL;
	}

	public void setDescriptionURL(String descriptionURL) {
		this.descriptionURL = descriptionURL;
	}

	////////////////////////////////////////////////
	// controlActionListenerList
	////////////////////////////////////////////////

	private ListenerList controlActionListenerList = new ListenerList();

	public ListenerList getControlActionListenerList() {
		return controlActionListenerList;
	}

	public void setControlActionListenerList(ListenerList controlActionListenerList) {
		this.controlActionListenerList = controlActionListenerList;
	}

	////////////////////////////////////////////////
	// scpdNode
	////////////////////////////////////////////////

	private Node scpdNode = null;

	public Node getSCPDNode() {
		return scpdNode;
	}

	public void setSCPDNode(Node node) {
		scpdNode = node;
	}

	////////////////////////////////////////////////
	// QueryListener
	////////////////////////////////////////////////

	private QueryListener queryListener = null;

	public QueryListener getQueryListener() {
		return queryListener;
	}

	public void setQueryListener(QueryListener queryListener) {
		this.queryListener = queryListener;
	}

	////////////////////////////////////////////////
	// SubscriberList
	////////////////////////////////////////////////

	private SubscriberList subscriberList = new SubscriberList();
	
	public SubscriberList getSubscriberList() {
		return subscriberList;
	}

	public void setSubscriberList(SubscriberList subscriberList) {
		this.subscriberList = subscriberList;
	}

	////////////////////////////////////////////////
	// SID
	////////////////////////////////////////////////

	private String sid = "";
	
	public String getSID() {
		return sid;
	}

	public void setSID(String id) {
		sid = id;
	}

	////////////////////////////////////////////////
	// Timeout
	////////////////////////////////////////////////

	private long timeout = 0;

	public long getTimeout() 
	{
		return timeout;
	}

	public void setTimeout(long value) 
	{
		timeout = value;
	}

}

